> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

> ## Agent Instructions
> Test in the sandbox first: base URL https://api-sandbox.y.uno (Test Mode in the Dashboard). Production is https://api.y.uno (Live Mode).
> Every API request needs the public-api-key and private-secret-key headers. Get them in the Dashboard at https://dashboard.y.uno/developers (Developers > Credentials); sandbox and production keys are different.
> Send an X-Idempotency-Key (a UUID) when creating payments, refunds and cancels, so retries do not create duplicates.
> Start with the Quickstart (https://docs.y.uno/docs/quickstart.md) and the agent guide (https://docs.y.uno/agents.md). To search these docs from a coding agent, connect the docs MCP server at https://docs.y.uno/mcp.

# Obtener método de pago por ID

> Obtiene los detalles de un método de pago inscrito específico mediante su ID

Obtén información sobre un método de pago a partir de su `payment_method_id`, que debe proporcionarse en la ruta de la solicitud.


## OpenAPI

````yaml openapi/es/payment-methods-checkout/retrieve-payment-method-by-id-checkout.json GET /payment-methods/{payment_method_id}
openapi: 3.1.0
info:
  title: payment_methods
  version: 1.0.2
servers:
  - url: https://api-sandbox.y.uno/v1
    description: Sandbox
  - url: https://api.y.uno/v1
    description: Production (US)
security:
  - sec0: []
    sec1: []
paths:
  /payment-methods/{payment_method_id}:
    get:
      summary: Obtener método de pago por ID
      operationId: retrieve-payment-method-by-id-checkout
      parameters:
        - name: payment_method_id
          in: path
          description: >-
            El id del método de pago obtenido al inscribir un nuevo método de
            pago (UUID, 36 caracteres).
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Ready to enroll:
                  value:
                    id: 0395199e-a99c-4a85-acac-6c916f43fa74
                    idempotency_key: null
                    account_id: 493e9374-510a-4201-9e09-de669d75f256
                    name: Visa Credit Card
                    description: Visa Credit Card
                    type: VISA
                    category: CARD
                    country: US
                    status: READY_TO_ENROLL
                    created_at: '2024-06-06T13:14:18.799434Z'
                    updated_at: '2024-06-06T13:14:18.799437Z'
                    enrollment:
                      session: 6641e30d-ca7a-440f-b97c-24231eac6dab
                      sdk_required_action: false
                    provider:
                      id: YUNO
                      type: YUNO
                      provider_status: null
                    verify:
                      vault_on_success: false
                      payment: null
                    preferred: null
                    parent_type: null
                    customer_payer:
                      first_name: null
                      last_name: null
                      email: null
                      gender: null
                      date_of_birth: null
                      document: null
                      phone: null
                      billing_address: null
                      shipping_address: null
                    card_data:
                      iin: '41111111'
                      lfd: '1111'
                      holder_name: JOHN DOE
                      expiration_month: 12
                      expiration_year: 26
                      number_length: 16
                      security_code_length: 3
                      security_code_expires_in: 79073
                      brand: VISA
                      issuer: CONOTOXIA SP Z O O
                      issuer_code: null
                      country_code: PL
                      category: CLASSIC
                      type: DEBIT
                      stored_credentials:
                        reason: null
                        usage: null
                        subscription_agreement_id: null
                        network_transaction_id: '108114113107103'
                        transaction_link_id: null
                      fingerprint: ba4d6817-adf4-47b1-8ae4-41a934e9e512
                Enrolled:
                  value:
                    id: 77ee4a02-da3e-4a11-ac15-ba69e1813475
                    idempotency_key: null
                    account_id: 493e9374-510a-4201-9e09-de669d75f256
                    name: VISA ****1111
                    description: VISA ****1111
                    type: CARD
                    category: CARD
                    country: US
                    status: ENROLLED
                    created_at: '2024-06-06T13:28:57.149530Z'
                    updated_at: '2024-06-06T13:29:05.536493Z'
                    enrollment:
                      session: 0685f1d6-11ff-4992-abc3-9eea1842205c
                      sdk_required_action: true
                    provider:
                      id: YUNO
                      type: YUNO
                      token: e47299a5-269e-42a1-9be1-9f64e400413a
                      provider_status: null
                    card_data:
                      iin: '41111111'
                      lfd: '1111'
                      expiration_month: 10
                      expiration_year: 25
                      number_length: 16
                      security_code_length: 3
                      brand: VISA
                      issuer: JPMORGAN CHASE BANK N A
                      issuer_code: null
                      country_code: US
                      category: CREDIT
                      type: CREDIT
                      fingerprint: 55a7fe38-cdc3-45dc-8c5f-820751799c76
                    verify:
                      vault_on_success: false
                      payment: null
                    preferred: null
                    parent_type: null
                    customer_payer:
                      first_name: null
                      last_name: null
                      email: null
                      gender: null
                      date_of_birth: null
                      document: null
                      phone: null
                      billing_address: null
                      shipping_address: null
              schema:
                oneOf:
                  - title: Listo para inscribir
                    type: object
                    properties:
                      id:
                        type: string
                        example: 0395199e-a99c-4a85-acac-6c916f43fa74
                      idempotency_key: {}
                      account_id:
                        type: string
                        example: 493e9374-510a-4201-9e09-de669d75f256
                      name:
                        type: string
                        example: Visa Credit Card
                      description:
                        type: string
                        example: Visa Credit Card
                      type:
                        type: string
                        example: VISA
                      category:
                        type: string
                        example: CARD
                      country:
                        type: string
                        example: US
                      status:
                        type: string
                        example: READY_TO_ENROLL
                      created_at:
                        type: string
                        example: '2024-06-06T13:14:18.799434Z'
                      updated_at:
                        type: string
                        example: '2024-06-06T13:14:18.799437Z'
                      enrollment:
                        type: object
                        properties:
                          session:
                            type: string
                            example: 6641e30d-ca7a-440f-b97c-24231eac6dab
                          sdk_required_action:
                            type: boolean
                            example: false
                            default: true
                      provider:
                        type: object
                        properties:
                          id:
                            type: string
                            example: YUNO
                          type:
                            type: string
                            example: YUNO
                          provider_status: {}
                      verify:
                        type: object
                        properties:
                          vault_on_success:
                            type: boolean
                            example: false
                            default: true
                          currency:
                            type: string
                            description: >-
                              Moneda de la verificación de la tarjeta, tal como
                              se envió cuando se inscribió el método de pago
                              (ISO 4217).
                          payment: {}
                      preferred: {}
                      parent_type:
                        nullable: true
                        description: Tipo principal.
                      customer_payer:
                        type: object
                        properties:
                          first_name:
                            nullable: true
                          last_name:
                            nullable: true
                          email:
                            nullable: true
                          gender:
                            nullable: true
                          date_of_birth:
                            nullable: true
                          document:
                            nullable: true
                          phone:
                            nullable: true
                          billing_address:
                            nullable: true
                          shipping_address:
                            nullable: true
                        description: Pagador cliente.
                      card_data:
                        type: object
                        properties:
                          iin:
                            type: string
                            example: '41111111'
                          lfd:
                            type: string
                            example: '1111'
                          holder_name:
                            type: string
                            example: JOHN DOE
                          expiration_month:
                            type: integer
                            example: 12
                          expiration_year:
                            type: integer
                            example: 26
                          number_length:
                            type: integer
                            example: 16
                          security_code_length:
                            type: integer
                            example: 3
                          security_code_expires_in:
                            type: integer
                            example: 79073
                          brand:
                            type: string
                            example: VISA
                          issuer:
                            type: string
                            example: CONOTOXIA SP Z O O
                          issuer_code:
                            nullable: true
                          country_code:
                            type: string
                            example: PL
                          category:
                            type: string
                            example: CLASSIC
                          type:
                            type: string
                            example: DEBIT
                          stored_credentials:
                            type: object
                            properties:
                              reason:
                                nullable: true
                              usage:
                                nullable: true
                              subscription_agreement_id:
                                nullable: true
                              network_transaction_id:
                                type: string
                                example: '108114113107103'
                              transaction_link_id:
                                nullable: true
                          fingerprint:
                            type: string
                            example: ba4d6817-adf4-47b1-8ae4-41a934e9e512
                        description: Datos de la tarjeta.
                  - title: Inscrito
                    type: object
                    properties:
                      id:
                        type: string
                        example: 77ee4a02-da3e-4a11-ac15-ba69e1813475
                      idempotency_key: {}
                      account_id:
                        type: string
                        example: 493e9374-510a-4201-9e09-de669d75f256
                      name:
                        type: string
                        example: VISA ****1111
                      description:
                        type: string
                        example: VISA ****1111
                      type:
                        type: string
                        example: CARD
                      category:
                        type: string
                        example: CARD
                      country:
                        type: string
                        example: US
                      status:
                        type: string
                        example: ENROLLED
                      created_at:
                        type: string
                        example: '2024-06-06T13:28:57.149530Z'
                      updated_at:
                        type: string
                        example: '2024-06-06T13:29:05.536493Z'
                      enrollment:
                        type: object
                        properties:
                          session:
                            type: string
                            example: 0685f1d6-11ff-4992-abc3-9eea1842205c
                          sdk_required_action:
                            type: boolean
                            example: true
                            default: true
                      provider:
                        type: object
                        properties:
                          id:
                            type: string
                            example: YUNO
                          type:
                            type: string
                            example: YUNO
                          token:
                            type: string
                            example: e47299a5-269e-42a1-9be1-9f64e400413a
                          provider_status: {}
                      card_data:
                        type: object
                        properties:
                          iin:
                            type: string
                            example: '41111111'
                          lfd:
                            type: string
                            example: '1111'
                          expiration_month:
                            type: integer
                            example: 10
                            default: 0
                          expiration_year:
                            type: integer
                            example: 25
                            default: 0
                          number_length:
                            type: integer
                            example: 16
                            default: 0
                          security_code_length:
                            type: integer
                            example: 3
                            default: 0
                          brand:
                            type: string
                            example: VISA
                          issuer:
                            type: string
                            example: JPMORGAN CHASE BANK N A
                          issuer_code:
                            type:
                              - string
                              - 'null'
                            description: >-
                              Código que identifica el banco emisor de la
                              tarjeta, obtenido de la consulta de BIN cuando la
                              tarjeta se guarda en el vault. Es nulo cuando los
                              datos de enriquecimiento de BIN no están
                              disponibles.
                            example: null
                          country_code:
                            type:
                              - string
                              - 'null'
                            description: >-
                              Código de país ISO 3166-1 alfa-2 del país emisor
                              de la tarjeta, obtenido de la consulta de BIN
                              cuando la tarjeta se guarda en el vault. Es nulo
                              cuando los datos de enriquecimiento de BIN no
                              están disponibles.
                            example: US
                          category:
                            type: string
                            example: CREDIT
                          type:
                            type: string
                            example: CREDIT
                          fingerprint:
                            type: string
                            example: 55a7fe38-cdc3-45dc-8c5f-820751799c76
                      verify:
                        type: object
                        properties:
                          vault_on_success:
                            type: boolean
                            example: false
                            default: true
                          currency:
                            type: string
                            description: >-
                              Moneda de la verificación de la tarjeta, tal como
                              se envió cuando se inscribió el método de pago
                              (ISO 4217).
                          external_subscription:
                            type: object
                            description: >-
                              La suscripción externa a la que se vinculó este
                              método de pago cuando se inscribió. Se devuelve
                              solo cuando la inscripción se creó con
                              `verify.vault_on_success` en `true` y con un
                              objeto `external_subscription`. La clave se omite
                              cuando no hay vínculo, por lo que la ausencia de
                              `external_subscription` no prueba que la
                              inscripción no tenga uno: el campo también se
                              omite cuando no se puede obtener el pago de
                              verificación. Obtén el pago de verificación para
                              confirmarlo.
                            properties:
                              id:
                                type: string
                                description: Identificador de la suscripción en tu sistema.
                              customer_id:
                                type: string
                                description: >-
                                  Identificador del cliente de la suscripción en
                                  tu sistema.
                          payment: {}
                      preferred: {}
                      parent_type:
                        nullable: true
                        description: Tipo principal.
                      customer_payer:
                        type: object
                        properties:
                          first_name:
                            nullable: true
                          last_name:
                            nullable: true
                          email:
                            nullable: true
                          gender:
                            nullable: true
                          date_of_birth:
                            nullable: true
                          document:
                            nullable: true
                          phone:
                            nullable: true
                          billing_address:
                            nullable: true
                          shipping_address:
                            nullable: true
                        description: Pagador cliente.
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Bad Request:
                  value:
                    code: INVALID_REQUEST
                    messages:
                      - Invalid request
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: INVALID_REQUEST
                  messages:
                    type: array
                    items:
                      type: string
                      example: Invalid request
        '401':
          description: '401'
          content:
            application/json:
              examples:
                Result:
                  value:
                    code: INVALID_CREDENTIALS
                    messages:
                      - Invalid credentials
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: INVALID_CREDENTIALS
                  messages:
                    type: array
                    items:
                      type: string
                      example: Invalid credentials
        '403':
          description: '403'
          content:
            application/json:
              examples:
                Forbidden:
                  value:
                    code: AUTHORIZATION_REQUIRED
                    messages:
                      - The merchant has no authorization to use this API.
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: AUTHORIZATION_REQUIRED
                  messages:
                    type: array
                    items:
                      type: string
                      example: The merchant has no authorization to use this API.
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: public-api-key
      x-default: <Your public-api-key>
    sec1:
      type: apiKey
      in: header
      name: private-secret-key
      x-default: <Your private-secret-key>

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.